Assignments Assignments

Public Member Functions | List of all members
Util::Matrix< Rows, Cols > Class Template Reference

`#include <geometry.h>`

Inheritance diagram for Util::Matrix< Rows, Cols >:

## Public Member Functions
| Matrix (void)
template<unsigned int _Cols>
Matrix< Rows, _Cols > | operator* (const Matrix< Cols, _Cols > &m) const
Public Member Functions inherited from Util::_BaseMatrix< Rows, Cols, Matrix< Rows, Cols >, Matrix< Cols, Rows > >
| _BaseMatrix (void)
double & | operator() (int r, int c)
const double & | operator() (int r, int c) const
Matrix< Cols, Rows > | transpose (void) const
Point< Rows > | operator* (const Point< Cols > &p) const
Matrix< Rows, Cols > | operator* (double s) const
Matrix< Rows, Cols > | operator+ (const Matrix< Rows, Cols > &m) const
double | dot (const _BaseMatrix &p) const

## Additional Inherited Members
Private Member Functions inherited from Util::_InnerProductSpace< Matrix< Rows, Cols > >
double | squareNorm (void) const
double | length (void) const
Matrix< Rows, Cols > | unit (void) const
Static Private Member Functions inherited from Util::_InnerProductSpace< Matrix< Rows, Cols > >
static double | Dot (const Matrix< Rows, Cols > &e1, const Matrix< Rows, Cols > &e2)
static double | SquareNorm (const Matrix< Rows, Cols > &e)
static double | Length (const Matrix< Rows, Cols > &e)
static double | SquareDistance (const Matrix< Rows, Cols > &e1, const Matrix< Rows, Cols > &e2)
static double | Distance (const Matrix< Rows, Cols > &e1, const Matrix< Rows, Cols > &e2)

## Detailed Description

template<unsigned int Rows, unsigned int Cols>
class Util::Matrix< Rows, Cols >

This templated class represents a Rows x Cols matrix. Matrices are stored in row-major order.

## Constructor & Destructor Documentation

## ◆ Matrix()

template<unsigned int Rows, unsigned int Cols>

Util::Matrix< Rows, Cols >::Matrix | ( | void |  | ) |

The default constructor that initializes the matrix to zero.

## Member Function Documentation

## ◆ operator*()

template<unsigned int Rows, unsigned int Cols>
template<unsigned int _Cols>

Matrix< Rows, _Cols > Util::Matrix< Rows, Cols >::operator* | ( | const Matrix< Cols, _Cols > & | m | ) | const

Multiplication of matrices

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl